"use strict";
// Copyright IBM Corp. 2020. All Rights Reserved.
// Node module: @loopback/example-access-control-migration
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.DbDataSource = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const config = {
    name: 'db',
    connector: 'memory',
    localStorage: '',
    file: './data/db.json',
};
let DbDataSource = /** @class */ (() => {
    let DbDataSource = class DbDataSource extends repository_1.juggler.DataSource {
        constructor(dsConfig = config) {
            super(dsConfig);
        }
    };
    DbDataSource.dataSourceName = 'db';
    DbDataSource.defaultConfig = config;
    DbDataSource = tslib_1.__decorate([
        tslib_1.__param(0, core_1.inject('datasources.config.db', { optional: true })),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], DbDataSource);
    return DbDataSource;
})();
exports.DbDataSource = DbDataSource;
//# sourceMappingURL=db.datasource.js.map